### Method

# Soup Session send_and_splice_async

since: 3.4

#### Declaration [src]

    void
    soup_session_send_and_splice_async (
      SoupSession* session,
      SoupMessage* msg,
      GOutputStream* out_stream,
      GOutputStreamSpliceFlags flags,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously sends `msg` and splices the response body stream into `out_stream`. When `callback` is called, then either `msg` has been sent and its response body spliced, or else an error has occurred.

See `soup_session_send()` for more details on the general semantics.

Available since: 3.4

#### Parameters

`msg`

  Type: `SoupMessage`

  A `SoupMessage`.

  The data is owned by the caller of the function.

`out_stream`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

`flags`

  Type: `GOutputStreamSpliceFlags`

  A set of `GOutputStreamSpliceFlags`.

`io_priority`

  Type: `int`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  The callback to invoke.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.